User Preference Prompt
Returns the saved preference prompt for the current resource owner, or 404 if none exists.
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Responses
200
OK
promptstring · nullableOptional
dateModifiedstring · date-timeOptional
401
Unauthorized
403
Forbidden
404
Not Found
get/projects/user-prompt
GET /projects/user-prompt HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"prompt": "text",
"dateModified": "2026-01-01T00:00:00.000Z"
}Creates or updates the preference prompt for the current resource owner and returns the saved value.
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Body
promptstring · nullableOptional
Responses
200
OK
promptstring · nullableOptional
dateModifiedstring · date-timeOptional
400
Bad Request
401
Unauthorized
403
Forbidden
put/projects/user-prompt
PUT /projects/user-prompt HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"prompt": "text"
}{
"prompt": "text",
"dateModified": "2026-01-01T00:00:00.000Z"
}Last updated
